Skip to main content
GET
/
v1
/
envelopes
/
{envelope_id}
/
events
// GET https://api.signatureapi.com/v1/envelopes/2dc5d4bb-5f4e-41a8-aea8-077a48587e31/events
// X-API-Key: key_test_...
// HTTP Status Code 200

{
  "links": {
    "next": "https://api.signatureapi.com/v1/envelopes/2dc5d4bb-5f4e-41a8-aea8-077a48587e31/events?cursor=seq_0iuY6H...",
    "previous": "https://api.signatureapi.com/v1/envelopes/2dc5d4bb-5f4e-41a8-aea8-077a48587e31/events?cursor=seq_87unYn..."
  },
  "data": [
    {
      "id": "evt_45b62ui33fCihBWpW2kWDa",
      "type": "envelope.completed",
      "timestamp": "2025-12-31T23:59:00.000Z",
      "data": {
        "object_id": "2dc5d4bb-5f4e-41a8-aea8-077a48587e31",
        "object_type": "envelope",
        "envelope_id": "2dc5d4bb-5f4e-41a8-aea8-077a48587e31",
        "envelope_metadata": {}
      }
    },
    {
      "id": "evt_7BFIYuMgWzJ1AHscS0RNxC",
      "type": "recipient.completed",
      "timestamp": "2025-12-31T23:58:59.000Z",
      "data": {
        "object_id": "re_00ZeZjRaXCgT30n1eBx53N",
        "object_type": "recipient",
        "envelope_id": "2dc5d4bb-5f4e-41a8-aea8-077a48587e31",
        "envelope_metadata": {},
        "recipient_type": "signer",
        "recipient_key": "client",
        "session_id": "ses_2X6eHBCL84MDGrLQX0mHI72"
      }
    },
    //...
  ]
}
Returns a list of events for a specific envelope. Events are sorted by timestamp, with the most recent appearing first. Results include envelope events, recipient events, and deliverable events associated with that envelope.

Path parameters

envelope_id
string
required
The unique identifier of the envelope.

Query parameters

type
enum
Filter by event type. For example, envelope.completed or recipient.sent.For the full list of event types available when listing envelope events, see:
limit
integer
The maximum number of objects to return. Minimum is 1, maximum is 20. Defaults to 20.

Returns

Returns a 200 OK status with a paginated list of event objects on success, or an error otherwise.
// GET https://api.signatureapi.com/v1/envelopes/2dc5d4bb-5f4e-41a8-aea8-077a48587e31/events
// X-API-Key: key_test_...
// HTTP Status Code 200

{
  "links": {
    "next": "https://api.signatureapi.com/v1/envelopes/2dc5d4bb-5f4e-41a8-aea8-077a48587e31/events?cursor=seq_0iuY6H...",
    "previous": "https://api.signatureapi.com/v1/envelopes/2dc5d4bb-5f4e-41a8-aea8-077a48587e31/events?cursor=seq_87unYn..."
  },
  "data": [
    {
      "id": "evt_45b62ui33fCihBWpW2kWDa",
      "type": "envelope.completed",
      "timestamp": "2025-12-31T23:59:00.000Z",
      "data": {
        "object_id": "2dc5d4bb-5f4e-41a8-aea8-077a48587e31",
        "object_type": "envelope",
        "envelope_id": "2dc5d4bb-5f4e-41a8-aea8-077a48587e31",
        "envelope_metadata": {}
      }
    },
    {
      "id": "evt_7BFIYuMgWzJ1AHscS0RNxC",
      "type": "recipient.completed",
      "timestamp": "2025-12-31T23:58:59.000Z",
      "data": {
        "object_id": "re_00ZeZjRaXCgT30n1eBx53N",
        "object_type": "recipient",
        "envelope_id": "2dc5d4bb-5f4e-41a8-aea8-077a48587e31",
        "envelope_metadata": {},
        "recipient_type": "signer",
        "recipient_key": "client",
        "session_id": "ses_2X6eHBCL84MDGrLQX0mHI72"
      }
    },
    //...
  ]
}